/**Begin D:\DBA\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_ISSCHEME' AND KSQL_COL_NAME IN ('FEXTENDSMODELID')) 
 ALTER TABLE T_BCM_ISSCHEME ADD (FEXTENDSMODELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_ISSCHEME' AND KSQL_COL_NAME IN ('FEXTENDSTABLE')) 
 ALTER TABLE T_BCM_ISSCHEME ADD (FEXTENDSTABLE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_COMPONENT_INFO') 
 CREATE TABLE T_BCM_COMPONENT_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FSELECTEDAREA VARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FCATALOGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPERMCLASSID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FSLICE NCLOB,
FDESCRICPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);



/**End D:\DBA\PDM_UPGRADE\PDM1\BCM_table.sql **/
